#[serial_test::serial]
#[tokio::test]
async fn test_invite_202_success_default() {
    let mut client = sideko_rest_api::SidekoClient::default()
        .with_api_key_auth("API_KEY")
        .with_cookie_auth("API_KEY")
        .with_environment(sideko_rest_api::Environment::MockServer);
    let res = client
        .user()
        .invite(sideko_rest_api::resources::user::InviteRequest {
            email: "user@example.com".to_string(),
            role_definition_id: sideko_rest_api::models::RoleDefinitionIdEnum::ApiProjectAdmin,
        })
        .await;
    println!("{:?}", res);
    assert!(res.is_ok());
}
